html {
    background-color: var(--secondary-color);
}

body {
    background-color: var(--secondary-color);
}

/* Section header */
.header {
    position: relative;
    z-index: 0;
    background-image: url("../assets/imgs/img-header.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-family: var(--main-font);
    color:var(--main-color);
    text-align: center;
}

.header h1 {
    font-size: var(--header-title);
    margin-top: 100px;
    color: var(--third-color);
    font-family: var(--secondary-font);
}

.header h2 {
    font-size: var(--header-subtitle);
    margin-bottom: 80px;
}

.header h3 {
    font-size: var(--header-text);
    margin-bottom: 50px;
}

.btn-link-billeterie {
    display: flex;
    flex-direction: row;
    gap: 15px;
    background-color: var(--fourth-color);
    padding: 25px;
    border-radius: 50px;
    text-decoration: none;
    color: var(--secondary-color);
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
    width: 320px;
    align-items: center;
    justify-content: center;
}

.btn-link-billeterie p {
    font-size: var(--subtitle-size);
}

main {
    background-color: var(--secondary-color);
}
/* Section about */
.about {
    height: 100vh;
    color: var(--main-color);
    display: flex;
    flex-direction: row;
    column-gap: 12%;
    align-items: center;
    background-color: var(--secondary-color);
    position: relative;
    z-index: 10;
    /* overflow-x: hidden; */
    /*margin: auto;*/
    margin-left: 90px;
    margin-right: 90px;
}

.about h2 {
    font-family: var(--secondary-font);
    font-size: var(--title-size);
    color: var(--fourth-color);
    text-align: center;
    margin-top: 140px;
    margin-bottom: 20px;
}

.about p {
    font-family: var(--third-font);
    font-size: var(--text-size);
    margin-bottom: 50px;
}

.link-agence {
    display: block;
    color: var(--main-color);
    font-family: var(--third-font);
    font-size: var(--text-size);
    font-weight: bold;
    top: 20px;
    margin-top: 20px;
    margin-bottom: 50px;
}

.about-content {
    display: flex;
    flex-direction: column;
    max-width: 40%;
    /* margin-left: 80px; */
    /* margin-right: 80px; */
}

.more-infos h3{
    border-top: 2px solid var(--fourth-color);
    padding-top: 50px;
    color: var(--fourth-color);
    font-family: var(--secondary-font);
    font-size: var(--subtitle-size);
}

.about-img-container {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.top-img {
    position: absolute;
    z-index: 20;
    top: -200px;
    left: -100px;
    
}

.bottom-img {
    position: absolute;
    top: 0px;
    left: 135px;
    z-index: 10;
}

/* .about::after {
    content: "";
    z-index: 0;
    position: absolute;
    top: -100px;
    right: 10px;
    left: 560px;
    width: 80%; 
    height: 100%;
    background-image: url("../assets/imgs/bg-about2.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right;
} */

.deco{
    /* border: solid red 10px; */
    position: absolute;
    z-index: 0;
    top: -20vh;
    right: -10vw;
    /* left: 30vw; */
    width: 70vw;
    height: 100vh; 
    background-image: url("../assets/imgs/bg-about2.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right;
}

/* Section concept */
.concept {
    height: 100vh;
    color: var(--main-color);
    display: flex;
    flex-direction: row;
    column-gap: 100px;
    align-items: center;
    justify-content: center;
    background-color: var(--secondary-color);
    margin: auto;
    position: relative;
    z-index: 10;
    /*overflow-x: hidden;*/
}

/* .concept ::after {
    content: "";
    z-index: 0;
    position: absolute;
    top: 0;
    right: 550px;
    width: 80%; 
    height: 100%;
    background-image: url("../assets/imgs/bg-concept2.svg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: bottom left;
} */

.teaser {
    position: relative;
    z-index: 10;
}

.concept h2 {
    font-family: var(--secondary-font);
    font-size: var(--title-size);
    color: var(--fourth-color);
    text-align: center;
    margin-top: 90px;
    margin-bottom: 25px;
}

.concept p {
    font-family: var(--third-font);
    font-size: var(--text-size);
    margin-bottom: 50px;
}

.concept h3 {
    font-family: var(--secondary-font);
    font-size: var(--subtitle-size);
    color: var(--fourth-color);
    padding-top: 50px;;
}

.concept-content {
    display: flex;
    flex-direction: column;
    max-width: 40%;
}


.about-infos {
    border-top: 2px solid var(--fourth-color);
    display: grid;
    grid-template-columns: repeat(3, 1fr); 
    grid-template-rows: repeat(2, auto);
    column-gap: 50px;   
}

.about-infos h3 {
    font-family: var(--secondary-font);
    font-size: var(--subtitle-size);
    color: var(--fourth-color);
    /* margin-top: 50px; */
    margin-bottom: 20px;
}


/* Section galerie */

.galerie {
    height: auto;
    color: var(--main-color);
    display: flex;
    flex-direction: column;
    column-gap: 100px;
    align-items: center;
    justify-content: center;
    background-color: var(--secondary-color);
    margin: auto;
    padding-bottom: 50px;
}

.galerie h2 {
    font-family: var(--secondary-font);
    font-size: var(--title-size);
    color: var(--fourth-color);
    margin-top: 140px;
}

.galerie h3 {
    font-family: var(--secondary-font);
    font-size: var(--subtitle-size);
    color: var(--fourth-color);
    text-align: center;
}

.galerie p {
    font-family: var(--third-font);
    font-size: var(--text-size);
    margin-top: 50px;
    margin-left: auto;
    margin-right: auto;
}

.galerie-content {
    display: flex;
    flex-direction: column;
    column-gap: 50px;
    gap: 100px;
    max-width: 90%;
}

.galerie-img-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    column-gap: 100px;
    margin-top: 50px;
}

.galerie-img-container img {
    width: 50vw;
    height: 50vh;
}


/* Media queries section */
@media screen and (max-width: 1980px) {
    /* Section header */
    .header h1 {
        font-size: var(--header-title);
    }

    .header h2 {
        font-size: var(--header-subtitle);
        margin-bottom: 100px;
    }

    .header h3 {
        font-size: var(--header-text);
    }

    .btn-link-billeterie {
        margin-top: 100px;
    }

    /* Section about */
    .about {
        column-gap: 14%;
        margin-left: 95px;
        margin-right: 95px;
    }
    
    .about h2 {
        font-size: var(--title-size-desktop);
        margin-bottom: 50px;
    }

    .about p {
        font-size: var(--text-size-desktop);
    }

    .link-agence {
        font-size: var(--text-size-desktop);
    }

    .about-content {
        max-width: 50%;
    }

    /* Section concept */
    .concept {
        column-gap: 180px;
    }

    .teaser {
        width: 35vw;

    }

    .concept h2 {
        font-size: var(--title-size-desktop);
        margin-bottom: 50px;
    }

    .concept p {
        font-size: var(--text-size-desktop);
    }

    .concept h3 {
        font-size: var(--subtitle-size-desktop);
        margin-bottom: 20px;
    }

    .concept-content {
        max-width: 45%;
    }

    .about-infos {
      column-gap: 100px;
    }

    .about-infos h3 {
        font-size: var(--subtitle-size-desktop);
    }


    /* Section galerie */
    .galerie h2 {
        font-size: var(--title-size-desktop);
        /*margin-bottom: 100px;*/
    }

    .galerie h3 {
        font-size: var(--subtitle-size-desktop);
        margin-bottom: 20px;
    }

    .galerie p {
        font-size: var(--text-size-desktop);
    }
    
    .galerie-img-container img {
        height: 70vh;
    }
    
}

@media screen and (max-width: 1870px) {
    /* Section about */
    .about {
        column-gap: 11%;
        margin-left: 90px;
        margin-right: 90px;
    }  
    
    .about h2 {
        margin-bottom: 40px;
    }

    .top-img {
        left: -80px;
    }

    .bottom-img {
        left: 155px;
    }

    /* Section concept */
    .concept {
        column-gap: 100px;
    }

    .teaser {
        width: 39vw;
    }

    /* Section galerie */
    /* .galerie h2 {
        margin-bottom: 40px;
    } */

    .galerie-img-container img {
        height: 65vh;
    }
    
}

@media screen and (max-width: 1770px) {
    /* Section about */
    .about {
        column-gap: 10%;
    }

    .top-img {
        left: -65px;
    }

    .bottom-img {
        left: 140px;
    }

    /* Section concept */
    .concept {
        column-gap: 94px;
    }
}

@media screen and (max-width: 1700px) {
    /* Section about */
    .about {
        column-gap: 14%;
    }

    .about p {
        font-size: var(--text-size);
        margin-bottom: 30px;
    }

    .about-content {
        max-width: 45%;
    }

    .about h2 {
        margin-bottom: 30px;
    }

    .link-agence {
        margin-bottom: 30px;
    }

    /* .about-infos h3 {
        margin-top: 30px;
    } */

    .more-infos h3 {
        padding-top: 30px;
    }

    /* Section concept */
    .concept {
        column-gap: 140px;
    }

    .concept p {
        font-size: var(--text-size);
    }
    .concept h2 {
        margin-bottom: 30px;
    }

    .concept-content {
        max-width: 42%;
    }

    .concept p {
        margin-bottom: 30px;
    }

    .concept h3 {
        padding-top: 30px;
    }

    /* Section galerie */
    .galerie h2 {
        margin-bottom: 30px;
    }

    .galerie p {
        font-size: var(--text-size);
    }
}

@media screen and (max-width: 1600px){
    /* Section header */
    .btn-link-billeterie {
        margin-top: 0px;
    }

    /* Section about */
    .top-img {
        left: -100px;
    }

    .bottom-img {
        left: 100px;
    }   
    
    /*Section galerie*/
    .galerie-img-container img {
        height: 60vh;
    }
    
    /* Section concept */
    .concept {
        column-gap: 120px;
    }

    .about-infos {
        column-gap: 60px;
    }
}

@media screen and (max-width: 1500px) {
    /* Section header */
    .header h1 {
        font-size: var(--header-title-laptop);
    }

    .header h2 {
        font-size: var(--header-subtitle-laptop);
        margin-bottom: 80px;
    }

    .header h3 {
        font-size: var(--header-text-laptop);
    }

    .btn-link-billeterie {
        padding: 15px;
    }

    /* Section about */
    .about {
        column-gap: 12%;
        margin-left: 80px;
        margin-right: 80px;
    }

    .about h2 {
        font-size: var(--title-size-laptop);
    }

    .about p {
        font-size: var(--text-size-laptop);
    }    

    .link-agence {
        font-size: var(--text-size-laptop);
    }

    .about-content {
        max-width: 45%;
    }

    .top-img {
        height: 34vh;
        top: -150px;
        left: -60px;
    }

    .bottom-img {
        height: 34vh;
        left: 130px;
    }

    /* Section concept */
    .concept {
        column-gap: 100px;
    }

    .teaser {
        width: 35vw;
    }

    .concept h2 {
        font-size: var(--title-size-laptop);
    }

    .concept p {
        font-size: var(--text-size-laptop);
    }

    .concept h3 {
        font-size: var(--subtitle-size-laptop);
    }

    .concept-content {
        max-width: 47%;
    } 

    .about-infos {
        font-size: var(--text-size-laptop);
        column-gap: 20px;
    }

    .about-infos h3 {
        font-size: var(--subtitle-size-laptop);
    }

    /* Section galerie */
    .galerie h2 {
        font-size: var(--title-size-laptop);
        margin-bottom: 0px;
    }

    .galerie h3 {
        font-size: var(--subtitle-size-laptop);
    }

    .galerie p {
        font-size: var(--text-size-laptop);
    }
    
    .galerie-img-container img {
        height: 50vh;
    }
    
}

@media screen and (max-width: 1400px) {
    /* Section about */
    .top-img {
        height: 27vh;
    }
    
    .bottom-img {
        height: 27vh;
    }
}

@media screen and (max-width: 1300px) {
    /* Section header */
    .header h1 {
        font-size: var(--header-title-laptop-small);
    }

    .header h2 {
        font-size: var(--header-subtitle-laptop-small);
        margin-bottom: 60px;
    }

    .header h3 {
        font-size: var(--header-text-laptop-small);
    }

    .btn-link-billeterie {
        padding: 15px;
        width: 280px;
    }

    .btn-link-billeterie p {
        font-size: var(--navbar-laptop-small);
    }

    /* Section about */
    .about {
        column-gap: 6%;
        margin-left: 70px;
        margin-right: 70px;
    }

    .about h2 {
        font-size: var(--title-size-laptop-small);
    }

    .about p {
        font-size: var(--text-size-laptop-small);
    }

    .link-agence {
        font-size: var(--text-size-laptop-small);
    }
    
    .top-img {
        height: 25vh;
        top: -110px;
        left: 20px;
    }
    
    .bottom-img {
        height: 25vh;
        left: 200px;
    }

    /* Section concept */
    .concept {
        column-gap: 80px;
    }

    .teaser {
        width: 35vw;
    }

    .concept h2 {
        font-size: var(--title-size-laptop-small);
    }

    .concept p {
        font-size: var(--text-size-laptop-small);
    }

    .concept h3 {
        font-size: var(--subtitle-size-laptop-small);
    }

    .about-infos h3 {
        font-size: var(--subtitle-size-laptop-small);
    }

    /* Section galerie */
    .galerie h2 {
        font-size: var(--title-size-laptop-small);
    }

    .galerie h3 {
        font-size: var(--subtitle-size-laptop-small);
    }

    .galerie p {
        font-size: var(--text-size-laptop-small);
    }

    .galerie-img-container img {
        height: 45vh;
    }

}


@media screen and (max-width: 1200px) {
    /*Section galerie*/
        .galerie-img-container img {
        height: 40vh;
    }
    
    /*Section about*/
    
    .top-img {
        height: 20vh;
        top: -70px;
        left: 40px;
    }

    .bottom-img {
        height: 20vh;
        left: 165px;
        top: 40px;
    }
    
    
}


@media screen and (max-width: 1096px) {
    /* Section header */
    .header h1 {
        font-size: var(--header-title-tablet);
    }

    .header h2 {
        font-size: var(--header-subtitle-tablet);
        margin-bottom: 50px;
    }

    .header h3 {
        font-size: var(--header-text-tablet);
    }

    .btn-link-billeterie {
        padding: 15px;
        width: 250px;
    }

    .btn-link-billeterie p {
        font-size: var(--navbar-tablet);
    }

    /* Section about */
    .about {
        column-gap: 8%;
        margin-left: 60px;
        margin-right: 60px;
    }

    .about h2 {
        font-size: var(--title-size-tablet);
        margin-left: 0px;
        text-align: center;
    }

    .about p {
        font-size: var(--text-size-tablet);
    }

    .link-agence {
        font-size: var(--text-size-tablet);
    }

    .about-content {
        max-width: 45%;
    }

    .top-img {
        height: 20vh;
        top: -70px;
        left: 40px;
    }

    .bottom-img {
        height: 20vh;
        left: 165px;
        top: 40px;
    }

    /* Section concept */
    .concept {
        column-gap: 100px;
    }

    .teaser {
        width: 35vw;
    }

    .concept h2 {
        font-size: var(--title-size-tablet);
    }

    .concept p {
        font-size: var(--text-size-tablet);
    }

    .concept h3 {
        font-size: var(--subtitle-size-tablet);
    }

    .concept-content {
        max-width: 45%;
    }
    
    .about-infos {
        column-gap: 20px;
    }

    .about-infos h3 {
        font-size: var(--subtitle-size-tablet);
    }

    /* Section galerie */
    .galerie h2 {
        font-size: var(--title-size-tablet);
    }

    .galerie h3 {
        font-size: var(--subtitle-size-tablet);
    }

    .galerie p {
        font-size: var(--text-size-tablet);
    }
    
    .galerie-img-container img {
        height: 35vh;
    }
}

@media screen and (max-width: 1000px) {
    /* Section header */
    .btn-link-billeterie {
        padding: 15px;
    }

    /* Section about */
    .about {
        column-gap: 6%;
        margin-left: 50px;
        margin-right: 50px;
    }

    .about-content {
        max-width: 45%;
    }

    .about-infos {
        column-gap: 20px;
    }

    .top-img {
        top: -70px;
        left: 20px;
    }

    .bottom-img {
        left: 150px;
        top: 40px;
    }

    /* Section concept */
    .concept {
        column-gap: 80px;
    }

    .teaser {
        width: 35vw;
    }

    .concept h2 {
        margin-left: 0px;
        text-align: center;
    }

    .concept-content {
        max-width: 45%;
    }
}


@media screen and (max-width: 960px) {
    /* Section header */
    .header {
        background-size: cover;
        background-position: center;
    }
    /* Section about */
    .about {
        height: 125vh;
        display: flex;
        flex-direction: column;
        column-gap: 4%;
        overflow: visible;
    }

    .about-content {
        max-width: 100%;
    }

    .about-img-container {
        margin: auto;
    }
    
    .top-img {
        height: 30vh;
        top: 0px;
        left: -500px;
        transform: translate(20%, -90%);
    }

    .bottom-img {
        height: 30vh;
        left: -135px;
        top: 140px;
        transform: translate(20%, -80%);
    }

    /* Section concept */
    .concept {
        height: auto;
        flex-direction: column-reverse;
        max-width: 90%;
        margin-left: auto;
        margin-right: auto;
        overflow: visible;
    }

    .teaser {
        width: 50vw;
    }

    .concept-content {
        max-width: 95%;
    }

    /* Section galerie */
    .galerie-img-container {
        column-gap: 50px;
    }

    .galerie-img-container img {
        height: 40vh;
    }
}
    
@media screen and (max-width: 850px) {
    /*Section about*/
    .top-img {
        left: -310px;
    }
}

@media screen and (max-width: 820px) {
    /* Section header */
    .header {
        background-image: url("../assets/imgs/img-header-tablet.jpg");
    }
    .header h1, .header h2, .header h3 {
        max-width: 90%;
    }
    /* Section concept */
    .concept {
        height: 100vh;
    }

    .teaser {
        /*margin-top: 100px;*/
        width: 70vw;
    }

    /*.concept h2 {
        margin-bottom: 100px;
    }*/

    /* Section galerie */
    .galerie-img-container img {
        height: 30vh;
    }

    /* Section about */
    .about {
        height: 100vh;
    }

    .about h2 {
        margin-bottom: 100px;
    }

    .top-img {
        height: 25vh;
        top: 0px;
        left: -500px;
        transform: translate(45%,-85%);
    }
    
    .bottom-img {
        height: 25vh;
        top: 140px;
        left: -230px;
        transform: translate(20%, -60%);
        
    }
}

@media screen and (max-width: 768px) {
    /* Section about */
    .top-img {
        transform: translate(-20%,-80%);
        left: -220px;
    }

    .bottom-img {
        transform: translate(50%, -100%);
        left: -255px;
    }
    
}

@media screen and (max-width: 630px) {
    /*Section about*/
    .top-img {
        top: 0px;
        left: -80px;
        transform: translate(-50%,-80%);    
    }
    
    .bottom-img {
        top: 140px;
        left: -290px;
        transform: translate(50%,-100%);   
    }
}

@media screen and (max-width: 576px) {
    /* Section header */
    .header {
        background-image: url("../assets/imgs/img-header-mobile.jpg");
        background-size: cover;
        background-position: center;
    }
    
    .header h1 {
        font-size: var(--header-title-mobile);
        margin-bottom: 20px;
    }

    .header h2 {
        font-size: var(--header-subtitle-mobile);
    }

    .header h3 {
        font-size: var(--header-text-mobile);
    }

    .btn-link-billeterie {
        width: 250px;
    }

    .btn-link-billeterie p {
        font-size: var(--navbar-mobile);
    }

    /* Section concept */
    .concept h2 {
        font-size: var(--title-size-mobile);
        margin-bottom: 50px;
    }

    .concept p {
        font-size: var(--text-size-mobile);
    }

    .concept h3 {
        font-size: var(--subtitle-size-mobile);
    }

    .teaser {
        margin-top: 50px;
        width: 60vw;
    }

    /* Section galerie */
    .galerie {
        flex-direction: column;
    }
    
    .galerie h2 {
        font-size: var(--title-size-mobile);
    }

    .galerie-img-container {
        flex-direction: column;
    }

    #peinture2 {
        flex-direction: column-reverse;
    }

    .galerie-img-container img {
        height: 20vh;
    }

    .galerie h3 {
        font-size: var(--subtitle-size-mobile);
        margin-top: 20px;
    }

    .galerie p {
        font-size: var(--text-size-mobile);
        max-width: 85%;
        margin-top: 30px;
    }

    /* Section about */
    .about h2 {
        font-size: var(--title-size-mobile);
        margin-bottom: 50px;
    }

    .about p {
        font-size: var(--text-size-mobile);
    }

    .more-infos h3 {
        font-size: var(--subtitle-size-mobile);
    }

    .top-img {
        height: 18vh;
        top: 0px;
        left: -60px;
        transform: translate(-50%,-80%);    
         
    }

    .bottom-img {
        height: 18vh;
        left: -125px;
        top: 140px;
        transform: translate(20%, -100%);
    }
}

@media screen and (max-width: 454px) {
    /*Section about*/
    .top-img {
        top: -60px;
        left: -260px;
        transform: translate(50%,-50%);
        
    }
    
    .bottom-img {
        left: -240px;
        top: 70px;
        transform: translate(50%, -80%);
    }
}

@media screen and (max-width: 375px) {
    /*Section about*/
    .top-img {
    left: -265px;
    transform: translate(55%,-50%);
        
    }
    
    .bottom-img {
        transform: translate(55%, -80%);
    }
}

